OPL::OplGlobals Class Reference

The OplGlobals class encapsulates non-POD globals to avoid making them static. It is available as a global static object via the OPL::GLOBAL makro and may be used as if it were a pointer, guaranteed to be initialized exactly once. For more information, see (Q_GLOBAL_STATIC)[https://doc.qt.io/qt-5/qglobalstatic.html#details]. More...

`#include <opl.h>`

Inheritance diagram for OPL::OplGlobals:

## Public Member Functions

void | fillLanguageComboBox (QComboBox *combo_box) const
void | fillViewNamesComboBox (QComboBox *combo_box) const
void | loadPilotFunctios (QComboBox *combo_box) const
void | loadSimulatorTypes (QComboBox *combo_box) const
void | loadApproachTypes (QComboBox *combo_box) const
const QStringList & | getApproachTypes () const
const QString | getLanguageFilePath (Translation language) const
const QString | getViewIdentifier (DbViewName view_name) const
const QString | getDbTableName (DbTable table_name) const

## Detailed Description

The OplGlobals class encapsulates non-POD globals to avoid making them static. It is available as a global static object via the OPL::GLOBAL makro and may be used as if it were a pointer, guaranteed to be initialized exactly once. For more information, see (Q_GLOBAL_STATIC)[https://doc.qt.io/qt-5/qglobalstatic.html#details].

The documentation for this class was generated from the following files:

- src/opl.h
- src/opl.cpp